summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2011-12-26 22:10:09 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2011-12-27 11:15:05 +0530
commitf725320ff7b98d92d6a8bab904bf784eb4542ad3 (patch)
tree996caf1d61f25111d500c050de26e40cc403f135
parent5119527384dcd77bdcc823775d0823602dd8a675 (diff)
3616: check if creation of distributed striped replicate volume crashes glusterd or not
Change-Id: If9702a41c2fbf02b8f76cee25412de2c0ab3b398 BUG: 3616 Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
-rwxr-xr-xdvm/3616/testcase39
1 files changed, 39 insertions, 0 deletions
diff --git a/dvm/3616/testcase b/dvm/3616/testcase
new file mode 100755
index 0000000..3804f30
--- /dev/null
+++ b/dvm/3616/testcase
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function dist_stripe_repl ()
+{
+ $GLUSTERFSDIR/gluster volume create --mode=script $global_bug_id stripe 2 replica 2 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/export3 $(hostname):$EXPORT_DIR/$global_bug_id/export4 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/export5 $(hostname):$EXPORT_DIR/$global_bug_id/export6 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/export7 $(hostname):$EXPORT_DIR/$global_bug_id/export8 2>/dev/null 1>/dev/null;
+
+ pgrep glusterd 2>/dev/null 1>/dev/null;
+
+ ret=$?;
+
+ return $ret;
+}
+
+function main ()
+{
+ local ret;
+
+ dist_stripe_repl;
+
+ ret=$?;
+
+ if [ $ret -eq 0 ]; then
+ exit 0;
+ else
+ exit 1;
+ fi
+
+}
+
+_init && main "$@" \ No newline at end of file